<?php require_once('Connections/cn.php'); ?>
<?php
session_start();
header("Content-Type:text/html; charset=utf-8");
$cedula_usuario=$_SESSION['CEDULA_USUARIO'];

$id_alumno=$_GET['id_alumno'];

mysql_select_db($database_cn, $cn);
mysql_query ("SET NAMES 'utf8'");
// Toma el id del alumno.
if ($id_alumno=="") {
	$sql = "SELECT id_alumno,cedula,apellidos, nombres FROM alumnos where cedula='$cedula_usuario'";
}
else {
    $sql = "SELECT id_alumno,cedula,apellidos, nombres FROM alumnos where id_alumno='$id_alumno'";
}

$rs = mysql_query($sql, $cn) or die(mysql_error());
$row = mysql_fetch_assoc($rs);
$id_alumno= $row['id_alumno'];
//busco los pagos del alumno
$sql3="select * from historial_alumnos where id_periodo='$id_periodo' and id_carrera='$id_carrera' and sede='$id_sede' and id_alumno='$id_alumno'";
$rs3 = mysql_query($sql3, $cn) or die(mysql_error());
$row3 = mysql_fetch_assoc($rs3);
$monto_pagado=$row3['pagos'];

//busco valor unidad tributaria
$sql6="select * from unidad_tributaria";
$rs6 = mysql_query($sql6, $cn) or die(mysql_error());
$row6 = mysql_fetch_assoc($rs6);
$ut=$row6['valor'];


function GetSQLValueString($theValue, $theType, $theDefinedValue = "", $theNotDefinedValue = "") 
{
  $theValue = (!get_magic_quotes_gpc()) ? addslashes($theValue) : $theValue;

  switch ($theType) {
    case "text":
      $theValue = ($theValue != "") ? "'" . $theValue . "'" : "NULL";
      break;    
    case "long":
    case "int":
      $theValue = ($theValue != "") ? intval($theValue) : "NULL";
      break;
    case "double":
      $theValue = ($theValue != "") ? "'" . doubleval($theValue) . "'" : "NULL";
      break;
    case "date":
      $theValue = ($theValue != "") ? "'" . $theValue . "'" : "NULL";
      break;
    case "defined":
      $theValue = ($theValue != "") ? $theDefinedValue : $theNotDefinedValue;
      break;
  }
  return $theValue;
}

//datos que tomo al hacer clic en la imagen para eliminar la meria inscrita
$id_periodo=$_GET['id_periodo'];
$id_sede=$_GET['id_sede'];
$id_carrera=$_GET['id_carrera'];
$id_materia=$_GET['id_materia'];
$uc=$_GET['uc'];
//fin
$sql13 = "SELECT * FROM carreras where id_carrera='$id_carrera'";
$rs13 = mysql_query($sql13, $cn) or die(mysql_error());
$row13 = mysql_fetch_assoc($rs13);
$costo_uc=$row13['costo_uc'];
$matricula=$row13['costo_inscripcion'];

if ((isset($_GET['id'])) && ($_GET['id'] != "")) {
  $deleteSQL = sprintf("DELETE FROM inscripciones WHERE id=%s and id_periodo=%s and sede=%s and id_carrera=%s and id_alumno=%s and id_materia=%s",
                       GetSQLValueString($_GET['id'], "int"),
                       GetSQLValueString($_GET['id_periodo'], "text"),
                       GetSQLValueString($_GET['id_sede'], "text"),
                       GetSQLValueString($_GET['id_carrera'], "text"),
                       GetSQLValueString($id_alumno, "int"),
                       GetSQLValueString($_GET['id_materia'], "text"));	
  $Result1 = mysql_query($deleteSQL, $cn) or die(mysql_error());

	// Busco si quedan materias inscritas en la tabla de inscripciones
	$sql5="select * from inscripciones where id_periodo='$id_periodo' and id_carrera='$id_carrera' and sede='$id_sede' and id_alumno='$id_alumno'";
	$rs5 = mysql_query($sql5, $cn) or die(mysql_error());
	$quedan = mysql_num_rows($rs5);
	if($quedan==0)
	{
		// Elimino todo el registro de historial_alumnos
		$sql4="DELETE FROM historial_alumnos WHERE id_periodo='$id_periodo' AND id_carrera='$id_carrera' AND sede='$id_sede' AND id_alumno='$id_alumno'";
		$rs4 = mysql_query($sql4, $cn) or die(mysql_error());
		$tipo='IN';
		$sqlDelDeuda="DELETE FROM movimientos WHERE id_periodo='$id_periodo' AND id_carrera='$id_carrera' AND sede='$id_sede' AND id_alumno='$id_alumno' AND tipo='$tipo'";
		$rsDelDeuda = mysql_query($sqlDelDeuda, $cn) or die(mysql_error());
	}
	else
	{
		// Disminuir deuda.  
		// $ut=Valor de la Unidad Tributaria.
		// $costo_uc = Unidades Tributarias que cuesta cada Unidad Credito.
		// $uc = Unidades Cr�dito de la Materia.
		
		$sql7="UPDATE historial_alumnos SET deuda=deuda-'$deuda' WHERE id_periodo='$id_periodo' AND id_carrera='$id_carrera' AND sede='$id_sede' AND id_alumno='$id_alumno'";
		$rs7 = mysql_query($sql7, $cn) or die(mysql_error());
		
		$tipo='IN';
		$sqlEditDeuda="UPDATE movimientos SET monto=monto-'$deuda' WHERE id_periodo='$id_periodo' and id_carrera='$id_carrera' and sede='$id_sede' and id_alumno='$id_alumno' and tipo='$tipo'";
		$rsEditDeuda = mysql_query($sqlEditDeuda, $cn) or die(mysql_error());
	}
	$deuda=(($uc*$costo_uc)*$ut);
	$sql7="UPDATE deudas SET deuda=deuda-'$deuda' WHERE id_carrera='$id_carrera' AND id_sede='$id_sede' AND id_alumno='$id_alumno'";
	$rs7 = mysql_query($sql7, $cn) or die(mysql_error());

	
  //actualizo la tabla de oferta academica
  $sql="UPDATE oferta_academica SET cupos=cupos + 1 WHERE id_periodo='$id_periodo' AND sede='$id_sede' AND id_carrera='$id_carrera' AND id_materia='$id_materia'";
  $Result2 = mysql_query($sql, $cn) or die(mysql_error());
   
  $deleteGoTo = "materias_inscritas.php";
  if (isset($_SERVER['QUERY_STRING'])) {
    $deleteGoTo .= (strpos($deleteGoTo, '?')) ? "&" : "?";
    $deleteGoTo .= $_SERVER['QUERY_STRING'];
  }
  //header(sprintf("Location: %s", $deleteGoTo));
}
?>
<script type="text/javascript">
url="oferta.php?id_periodo="+'<?php echo $id_periodo; ?>'+"&id_sede="+'<?php echo $id_sede; ?>'+"&id_carrera="+'<?php echo $id_carrera; ?>'+"&monto_pagado="+'<?php echo $monto_pagado; ?>'+"&id_alumno="+'<?php echo $id_alumno; ?>';
window.open(url,'contenido');
</script>

